Package org.eclipse.zest.cloudio

# Class Activator

java.lang.Object
org.eclipse.core.runtime.Plugin
org.eclipse.ui.plugin.AbstractUIPlugin
org.eclipse.zest.cloudio.Activator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

@Deprecated(since="2026-09", forRemoval=true) public class Activator extends AbstractUIPlugin
Deprecated, for removal: This API element is subject to removal in a future version.
Do not use. This class will be removed after the 2028-09 release.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADD`
Deprecated, for removal: This API element is subject to removal in a future version.
`static final String`
`PLUGIN_ID`
Deprecated, for removal: This API element is subject to removal in a future version.
`static final String`
`REMOVE`
Deprecated, for removal: This API element is subject to removal in a future version.
`static final String`
`TOGGLE_COLORS`
Deprecated, for removal: This API element is subject to removal in a future version.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`Activator()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

Modifier and Type
Method
Description
`static Activator`
`getDefault()`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`start(org.osgi.framework.BundleContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`stop(org.osgi.framework.BundleContext context)`
Deprecated, for removal: This API element is subject to removal in a future version.

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PLUGIN_ID

@Deprecated(since="2026-09", forRemoval=true) public static final String PLUGIN_ID
Deprecated, for removal: This API element is subject to removal in a future version.

See Also:
  - Constant Field Values

### ADD

@Deprecated(since="2026-09", forRemoval=true) public static final String ADD
Deprecated, for removal: This API element is subject to removal in a future version.

See Also:
  - Constant Field Values

### REMOVE

@Deprecated(since="2026-09", forRemoval=true) public static final String REMOVE
Deprecated, for removal: This API element is subject to removal in a future version.

See Also:
  - Constant Field Values

### TOGGLE_COLORS

@Deprecated(since="2026-09", forRemoval=true) public static final String TOGGLE_COLORS
Deprecated, for removal: This API element is subject to removal in a future version.

See Also:
  - Constant Field Values

## Constructor Details

### Activator

@Deprecated(since="2026-09", forRemoval=true) public Activator()
Deprecated, for removal: This API element is subject to removal in a future version.
The constructor

## Method Details

### start

@Deprecated(since="2026-09", forRemoval=true) public void start(org.osgi.framework.BundleContext context) throws Exception
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `Exception`

### stop

@Deprecated(since="2026-09", forRemoval=true) public void stop(org.osgi.framework.BundleContext context) throws Exception
Deprecated, for removal: This API element is subject to removal in a future version.

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `Exception`

### getDefault

@Deprecated(since="2026-09", forRemoval=true) public static Activator getDefault()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the shared instance

Returns:
  the shared instance